Apple recognizes the vulnerabilities of "Meltdown" and "Specter" on iOS and Mac computers - NewCydiaTweaks

Breaking

Post Top Ad

Post Top Ad

Friday, January 5, 2018

Apple recognizes the vulnerabilities of "Meltdown" and "Specter" on iOS and Mac computers


Apple calls for calm after the general public was aware of security issues with the "Meltdown" and "Specter" vulnerabilities .
They claim that the "Meltdown" vulnerability was corrected in the latest updates for macOS, iOS and tvOS. Additionally, an update for Safari will be released that will help prevent the "Specter" vulnerability.
These types of vulnerabilities affect all computers with Intel or ARM processors , in this case, all Apple computers, both iOS and macOS.

The origin of the vulnerabilities

Apple presents the new macOS 10.13
A week ago, a serious vulnerability was made public that affected the Intel processors and, consequently, the main operating systems. But Apple already knew this information for weeks, time that has been able to take to release security updates.
It is not an exclusive problem of Apple, on the contrary, the problem comes from the processors . Intel or ARM can not address the problem with an own update, so in this case, Apple would be responsible for trying to solve the problem with the least possible negative impact for the devices.
These vulnerabilities affect the security of the equipment and its performance . To be able to solve this problem by means of a software update, it could cause the computer equipment to slow down between 5 and 30%. On mobile devices such as an iPad, this impact would be less, according to security experts.
At general levels, a common user should not notice any drop in performance in their day to day, for example playing or performing office automation. Yes that would affect to a greater extent the processes that need to perform a great execution in the "cloud"and in the companies that depend on specific architectures.
Apple announced in a recent statement that they are working to launch a new update for all of the brand's devices. In addition to reporting in detail everything that happened with these vulnerabilities.
The Meltdown vulnerability is a malware that can access and read sensitive information from users. In the case of Specter , it can break the security between two applications, being able to access even from a browser using JavaScript. Hence, Apple launches an additional update for Safari.
Apple insists that these vulnerabilities have not affected customers at the moment (no case is known). They add that Specter is quite difficult to execute, in addition, recommend downloading software from reliable sources, such as the App Store.

Post Top Ad